[SCM] massXpert mass spectrometry suite: debian packaging branch, upstream, updated. 41a70205093791df401b34b6867e830c5a46d1f9

Filippo Rusconi rusconi at mnhn.fr
Wed Apr 15 15:42:55 UTC 2009


The following commit has been merged in the upstream branch:
commit cd31d2b17986906dcd3a81c412d4ecf7a0d7818e
Author: Filippo Rusconi <rusconi at mnhn.fr>
Date:   Wed Apr 15 15:19:54 2009 +0200

    Fixed maintainer-scripts according to new usermanual CMake-driven build.

diff --git a/maint-scripts/functions.sh b/maint-scripts/functions.sh
index 93481b8..1a6fec2 100644
--- a/maint-scripts/functions.sh
+++ b/maint-scripts/functions.sh
@@ -24,6 +24,11 @@ checkUsermanualIntegrity ()
     fi
     
     cd -
+   
+    result="$?"
+    
+    echo "${result}"
+    return "${result}"
 }
 
 usermanualVersion ()
@@ -31,41 +36,18 @@ usermanualVersion ()
     cd $1 || { echo "Failed to change directory to $1"; exit 1; }
 
     echo $(grep ver massxpert-version.tex | sed 's/^.*}{//' | sed 's/}//')
-
-    cd -
 }
 
 makeUsermanualPdf ()
 {
-    make -f Makefile clean
-    make -f Makefile all_no_reload
-
-    echo "$?"
-}
-
-makeUsermanualHtml ()
-{
-    ./prepare-files-for-htlatex
-    
-    if [ "$?" != "0" ]
-	then
-	echo "1"
-	return 1
-    fi
+    cd $1 || { echo "Failed to change directory to $1"; exit 1; }
     
-    cd html
+    make 
     
-    make all
-
-    result=$?
+    result="$?"
     
-    cd ..
-
-    if [ "x$result" != "x0" ]
-	then
-	echo "1"
-	return 1
-    fi
+    echo "${result}"
+    return "${result}"
 }
 
 
@@ -97,9 +79,7 @@ makeSourceTarball ()
 	fi
     fi
 
-    mkdir ~/tmp/${dirName}
-
-    cd ~/devel/massxpert || { echo "Failed to change directory to massxpert"; return 1; }
+    cd ~/devel/massxpert || { echo "Failed to change directory to massxpert/"; return 1; }
  
     ##########################################################################
     # Make sure we are not going to package backup files.
@@ -148,18 +128,9 @@ makeSourceTarball ()
 	done
     fi
     
+    cd ~/devel || { echo "Failed to change directory to devel/"; return 1; }
 
-    # We do not care of the potential error with make clean
-    set +e
-    make clean 
-    set -e
-
-    cp * ~/tmp/${dirName} > /dev/null
-    cp -rpf CMakeTemplates  data  debian gui  ~/tmp/${dirName} > /dev/null
-    cp -rpf lib  maint-scripts plugins-src usermanual ~/tmp/${dirName} > /dev/null
-
-    rm  -rf ~/tmp/${dirName}/usermanual/doc-stuff
-    rm ~/tmp/${dirName}/valgrind-suppressions
+    cp -rpf massxpert ~/tmp/${dirName}
 
     cd ~/tmp
     
@@ -192,7 +163,7 @@ makeBinaryTarball ()
 	$2/lib/massxpert \
 	$2/share/massxpert \
 	$2/share/doc/massxpert \
-	--exclude=*~ ||  { echo "Failed to create tar file."; return 1; }
+	--exclude=*~ --exclude=*-bkp ||  { echo "Failed to create tar file."; return 1; }
     
     return 0
 }
diff --git a/maint-scripts/prepare-debbench b/maint-scripts/prepare-debbench
index 806527e..e0d075c 100755
--- a/maint-scripts/prepare-debbench
+++ b/maint-scripts/prepare-debbench
@@ -29,7 +29,7 @@ echo "Tarball name: ${srcTarballName}"
 ##########################################################################
 # Begin make sure that the documentation is ok
 
-cd usermanual
+cd usermanual || { echo "Failed to change directory to massxpert/usermanual"; exit 1; }
 
 
 # First ensure all the subdocuments are inputted in master tex file.
@@ -40,7 +40,9 @@ checkUsermanualIntegrity $HOME/devel/b/usermanual || { echo "The User Manual doe
 # Second, make sure that the version of the user manual matches the
 # version of the source package.
 
-if [ $(usermanualVersion $HOME/devel/b/usermanual) != "${VERSION}" ]
+version=$(usermanualVersion $HOME/devel/b/usermanual)
+
+if [ "${version}" != "${VERSION}" ]
     then
     echo "User Manual has version different than Source package"
     exit 1
@@ -50,18 +52,11 @@ fi
 # Finally make the User Manual documentation (pdf)
 echo "Compiling Usermanual"
 
-makeUsermanualPdf  || { echo "Failed to compile the User Manual PDF."; exit 1; }
+makeUsermanualPdf  $HOME/devel/b/usermanual || { echo "Failed to compile the User Manual PDF."; exit 1; }
 
 # End make sure that the documentation is ok
 ##########################################################################
 
-
-##########################################################################
-# Clean the usermanual build, because the debian package orig tarball 
-# should have to build doc.
-echo "current directory: $(pwd)"
-make -f Makefile distclean
-
 # Go back to the parent directory
 cd ${thisDir}
 
diff --git a/usermanual/rsync-pdf-usermanual.sh b/usermanual/rsync-pdf-usermanual.sh
index 80d8fd8..a551841 100644
--- a/usermanual/rsync-pdf-usermanual.sh
+++ b/usermanual/rsync-pdf-usermanual.sh
@@ -1 +1 @@
- rsync -v pdf/massxpert.pdf rusconi at ssh.tuxfamily.org:~/massxpert/massxpert.org-web/htdocs/userman/pdf 
+ rsync -v ~/devel/b/usermanual/massxpert.pdf rusconi at ssh.tuxfamily.org:~/massxpert/massxpert.org-web/htdocs/userman/pdf 

-- 
massXpert mass spectrometry suite: debian packaging



More information about the debian-science-commits mailing list